package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 预约表
 * @TableName appointments
 */
@TableName(value ="appointments")
@Data
public class Appointments implements Serializable {
    /**
     * 预约ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID（关联用户表）
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String username;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 商家ID（关联商家表）
     */
    private Long businessId;

    /**
     * 商家名
     */
    private String businessName;

    /**
     * 美甲师ID, 如果为空到店分配
     */
    private Long manicuristId;

    /**
     * 美甲师名
     */
    private String manicuristName;

    /**
     * 预约时间
     */
    private Date appointmentTime;

    /**
     * 服务方式（0 - 线上, 1 - 到店）
     */
    private Integer serviceMode;

    /**
     * 备注
     */
    private String notes;

    /**
     * 预约状态（0 - 已确认, 1 - 已完成, 2 - 已取消）
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     *订单id
     */
    private Long orderId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}