package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 美甲师表
 * @TableName manicurist
 */
@TableName(value ="manicurist")
@Data
public class Manicurist implements Serializable {
    /**
     * 美甲师唯一标识（主键，自增）
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID（关联用户表）
     */
    private Long userId;

    /**
     * 商家ID（关联商家表）
     */
    private Long businessId;

    /**
     * 美甲师姓名
     */
    private String manicuristName;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;

    /**
     * 美甲师入职日期
     */
    private Date employment_date;

    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;

    /**
     * 美甲师的服务评分
     */
    private BigDecimal rating;

    /**
     * 美甲师的基本薪资
     */
    private BigDecimal salary;

    /**
     * 逻辑删除标志，0 表示未删除，1 表示已删除
     */
    @TableLogic
    private Integer isDelete;

    /**
     * 记录创建时间
     */
    private Date createTime;

    /**
     * 记录更新时间
     */
    private Date updateTime;

    /**
     * 美甲师头像的存储路径或链接
     */
    private String manicuristAvatar;

    /**
     * 美甲师状态
     */
    private Integer manStatus;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}