package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 详细订单表
 * @TableName order_items
 */
@TableName(value ="order_items")
@Data
public class OrderItems implements Serializable {
    /**
     * 详细订单ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单ID（关联订单表）
     */
    private Long orderId;

    /**
     * 商品ID（美甲款式）
     */
    private Long commoditiesId;

    /**
     * 商品数量
     */
    private Integer quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 小计（单价 * 数量）
     */
    private BigDecimal subtotal;

    /**
     * 规格属性列表
     */
    private String attributeNames;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}