package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单表
 * @TableName orders
 */
@TableName(value ="orders")
@Data
public class Orders implements Serializable {
    /**
     * 订单ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 用户ID（关联用户表）
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 预约ID（关联预约表）
     */
    private Long appointmentId;

    /**
     * 订单总金额
     */
    private BigDecimal totalPrice;

    /**
     * 支付方式：0微信支付
     */
    private Integer payMethod;

    /**
     * 支付状态（0 - 未支付, 1 - 已支付, 2 - 退款中, 3 - 已退款）
     */
    private Integer paymentStatus;

    /**
     * 抢单状态（0 - 未抢单, 1 - 已抢单）
     */
    private Integer claimStatus;

    /**
     * 备注
     */
    private String notes;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}