package com.cj.jiaqingjiayi.model.request.appointments;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.awt.image.SampleModel;
import java.io.Serializable;
import java.util.Date;

@Data
public class AppointmentsAddRequest implements Serializable {
    /**
     * 预约ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户ID（关联用户表）
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String username;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 商家ID（关联商家表）
     */
    private Long businessId;

    /**
     * 商家名
     */
    private String businessName;

    /**
     * 美甲师ID, 如果为空到店分配
     */
    private Long manicuristId;

    /**
     * 美甲师名
     */
    private String manicuristName;

    /**
     * 预约时间
     */
    private Date appointmentTime;

    /**
     * 服务方式（0 - 线上, 1 - 到店）
     */
    private Integer serviceMode;

    /**
     * 支付方式：0微信支付
     */
    private Integer payMethod;

    /**
     * 备注
     */
    private String notes;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
