package com.cj.jiaqingjiayi.model.request.order;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 订单创建请求
 */
@Data
public class OrderAddRequest implements Serializable {

    /**
     * 姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 订单实际总价
     */
    private BigDecimal totalPrice;

    /**
     * 支付方式
     */
    private Integer payMethod;

    /**
     * 备注
     */
    private String notes;

    /**
     * 订单详情
     */
    private List<OrderItemsAddRequest> orderItemsAddRequest;

    @Serial
    private static final long serialVersionUID = 1L;
}