package com.cj.jiaqingjiayi.model.request.order;


import com.cj.jiaqingjiayi.model.request.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单查询请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrderQueryRequest extends PageRequest implements Serializable {
    /**
     * id
     */
    private Long id;

    /**
     * 下单用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 抢单状态（0 - 未抢单, 1 - 已抢单）
     */
    private Integer claimStatus;

    /**
     * 支付状态（0 - 未支付, 1 - 已支付, 2 - 退款中, 3 - 已退款）
     */
    private Integer paymentStatus;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    @Serial
    private static final long serialVersionUID = 1L;
}