package com.cj.jiaqingjiayi.model.vo;

import com.cj.jiaqingjiayi.model.domain.OrderItems;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单视图
 */
@Data
public class OrdersVO implements Serializable {
    /**
     * id
     */
    private Long id;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 下单用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 商家信息
     */
    private BusinessVO businessVO;

    /**
     * 订单实际总价
     */
    private BigDecimal totalPrice;

    /**
     * 支付方式
     */
    private Integer payMethod;

    /**
     * 备注
     */
    private String notes;

    /**
     * 预约ID（关联预约表）
     */
    private Long appointmentId;

    /**
     * 支付状态（0 - 未支付, 1 - 已支付, 2 - 退款中, 3 - 已退款）
     */
    private Integer paymentStatus;

    /**
     * 抢单状态（0 - 未抢单, 1 - 已抢单）
     */
    private Integer claimStatus;

    /**
     * 下单时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date updateTime;

    /**
     * 商品数量
     */
    private Integer number;

    /**
     * 订单详情
     */
    private List<OrderItemsVO> orderItemsVOList;

    @Serial
    private static final long serialVersionUID = 1L;
}