package com.cj.jiaqingjiayi.service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.domain.OrderItems;
import com.cj.jiaqingjiayi.model.domain.Orders;
import com.cj.jiaqingjiayi.model.request.order.OrderQueryRequest;
import com.cj.jiaqingjiayi.model.vo.OrdersVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【orders(订单表)】的数据库操作Service
* @createDate 2024-11-10 14:22:10
*/
public interface OrdersService extends IService<Orders> {

    /**
     * 创建订单
     *
     * @return 订单id
     */
    long addOrder(Orders orders, List<OrderItems> orderItemsList);

    /**
     * 校验订单
     */
    void validOrder(Orders orders);

    /**
     * 获取订单视图信息
     */
    OrdersVO getOrdersVO(Orders orders);

    List<OrdersVO> getOrdersVO(List<Orders> ordersList);

    /**
     * 获取查询条件
     */
    QueryWrapper<Orders> getQueryWrapper(OrderQueryRequest orderQueryRequest);
}
