package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.Specifications;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.request.attribute.AttributeAddRequest;
import com.cj.jiaqingjiayi.model.request.attribute.AttributeUpdateRequest;
import com.cj.jiaqingjiayi.model.vo.SpecificationsVO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author 高木
* @description 针对表【specifications(规格表)】的数据库操作Service
* @createDate 2024-08-21 16:20:48
*/
public interface SpecificationsService extends IService<Specifications> {

    /**
     * 校验
     */
    void validSpecifications(Specifications specifications, boolean add);

    /**
     * 添加规格
     */
    Boolean addSpecifications(Specifications specifications, List<AttributeAddRequest> attributeAddRequests, HttpServletRequest request);

    /**
     * 更新规格
     */
    Boolean updateSpecifications(Specifications specifications, List<AttributeUpdateRequest> attributeUpdateRequests, HttpServletRequest request);

    /**
     * 获取规格脱敏列表
     */
    List<SpecificationsVO> getSpecificationsVO(List<Specifications> specificationsList);
}
